libzypp 17.37.10

zyppng::RepoInfoWorkflow Namespace Reference

## Functions
expected< void > | fetchGpgKeys (SyncContextRef ctx, zypp::RepoInfo info)
AsyncOpRef< expected< void > > | fetchGpgKeys (ContextRef ctx, zypp::RepoInfo info)

## Function Documentation

## ◆ fetchGpgKeys() [1/2]

expected< void > zyppng::RepoInfoWorkflow::fetchGpgKeys | ( | SyncContextRef | ctx,
|  | zypp::RepoInfo | info )

Downloads all keys specified by the RepoInfo, importing them into the keyring specified by ctx as NON trusted keys.

Definition at line 136 of file repoinfowf.cc.

## ◆ fetchGpgKeys() [2/2]

AsyncOpRef< expected< void > > zyppng::RepoInfoWorkflow::fetchGpgKeys | ( | ContextRef | ctx,
|  | zypp::RepoInfo | info )

Definition at line 141 of file repoinfowf.cc.